apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"2.4.0-1-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"2.4.0-1-1","maistra-version":"2.4.0","maistra.io/owner":"istio-system","maistra.io/owner-name":"install-istio-system"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"install-istio-system","uid":"4b32b32b-98cb-456f-bcf4-2029019a8a3d"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress":{"enabled":true},"namespace":"istio-system","pod_labels":{"sidecar.istio.io/inject":"false"}},"external_services":{"custom_dashboards":{"namespace_label":"kubernetes_namespace"},"grafana":{"auth":{"password":"BA/AmpJZGK6ILDxoPiojrDVQBKOlWFghCCETKkXmTjVmwhiOY32DvtmAtDVKGfsCF9s4L1pg4wQ0UALvC+PT9tn/WdIDqF/ed6TQWeuaIrMvz41ix/XRW8fF1B3+mnAwSqbL5RYzUKa0Ow2Lzd98vtoLqoxkRmQElZjwsZIdgRe9Squ0kjB3JVvc/Pk5ANPcG/ZTAxtMRIkdDCYOLsOI8PdygO+5+bx2P/Atq95v8kbH75ykHZjdSylIa2+Wsax0eC25Ds164Ma6KjqEaG/Jy2b4VPhx0kG2XclcfQwV6nSrmk2u5emNa+jZBSwp1k2kOYMsQFFx9rjREu+NXVKE","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.ocp4-kqe-auto1.maistra.upshift.redhat.com"},"istio":{"config_map_name":"istio-install-istio-system","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-install-istio-system","istiod_deployment_name":"istiod-install-istio-system","url_service_version":"http://istiod-install-istio-system.istio-system:15014/version"},"prometheus":{"auth":{"password":"BA/AmpJZGK6ILDxoPiojrDVQBKOlWFghCCETKkXmTjVmwhiOY32DvtmAtDVKGfsCF9s4L1pg4wQ0UALvC+PT9tn/WdIDqF/ed6TQWeuaIrMvz41ix/XRW8fF1B3+mnAwSqbL5RYzUKa0Ow2Lzd98vtoLqoxkRmQElZjwsZIdgRe9Squ0kjB3JVvc/Pk5ANPcG/ZTAxtMRIkdDCYOLsOI8PdygO+5+bx2P/Atq95v8kbH75ykHZjdSylIa2+Wsax0eC25Ds164Ma6KjqEaG/Jy2b4VPhx0kG2XclcfQwV6nSrmk2u5emNa+jZBSwp1k2kOYMsQFFx9rjREu+NXVKE","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"password":"BA/AmpJZGK6ILDxoPiojrDVQBKOlWFghCCETKkXmTjVmwhiOY32DvtmAtDVKGfsCF9s4L1pg4wQ0UALvC+PT9tn/WdIDqF/ed6TQWeuaIrMvz41ix/XRW8fF1B3+mnAwSqbL5RYzUKa0Ow2Lzd98vtoLqoxkRmQElZjwsZIdgRe9Squ0kjB3JVvc/Pk5ANPcG/ZTAxtMRIkdDCYOLsOI8PdygO+5+bx2P/Atq95v8kbH75ykHZjdSylIa2+Wsax0eC25Ds164Ma6KjqEaG/Jy2b4VPhx0kG2XclcfQwV6nSrmk2u5emNa+jZBSwp1k2kOYMsQFFx9rjREu+NXVKE","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":"https://jaeger-istio-system.apps.ocp4-kqe-auto1.maistra.upshift.redhat.com","use_grpc":false}},"installation_tag":"Kiali
      [istio-system]","istio_namespace":"istio-system","version":"v1.65"}}
    maistra.io/mesh-generation: 2.4.0-1-1
  resourceVersion: '156848'
  name: kiali
  uid: 6a291586-4ddb-439c-857b-a0c5bc8cb56e
  creationTimestamp: '2023-05-10T05:28:32Z'
  generation: 7
  managedFields:
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"kiali.io/finalizer"': {}
      manager: ansible-operator
      operation: Update
      time: '2023-05-10T05:28:32Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:maistra.io/mesh-generation': {}
          'f:labels':
            'f:maistra.io/owner': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            .: {}
            'f:app.kubernetes.io/part-of': {}
            'f:maistra.io/owner-name': {}
            'f:app.kubernetes.io/version': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/component': {}
            'f:maistra-version': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"4b32b32b-98cb-456f-bcf4-2029019a8a3d"}': {}
        'f:spec':
          .: {}
          'f:api':
            .: {}
            'f:namespaces':
              .: {}
              'f:exclude': {}
          'f:auth':
            .: {}
            'f:strategy': {}
          'f:deployment':
            .: {}
            'f:accessible_namespaces': {}
            'f:image_pull_policy': {}
            'f:ingress':
              .: {}
              'f:enabled': {}
            'f:namespace': {}
            'f:pod_labels':
              .: {}
              'f:sidecar.istio.io/inject': {}
          'f:external_services':
            .: {}
            'f:custom_dashboards':
              .: {}
              'f:namespace_label': {}
            'f:grafana':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:url': {}
            'f:istio':
              .: {}
              'f:config_map_name': {}
              'f:istio_sidecar_injector_config_map_name': {}
              'f:istiod_deployment_name': {}
              'f:url_service_version': {}
            'f:prometheus':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:url': {}
            'f:tracing':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:namespace': {}
              'f:service': {}
              'f:url': {}
              'f:use_grpc': {}
          'f:installation_tag': {}
          'f:istio_namespace': {}
          'f:version': {}
      manager: istio-operator
      operation: Update
      time: '2023-05-10T05:45:43Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:deployment':
            .: {}
            'f:accessibleNamespaces': {}
            'f:instanceName': {}
            'f:namespace': {}
          'f:environment':
            .: {}
            'f:isMaistra': {}
            'f:isOpenshift': {}
            'f:kubernetesVersion': {}
            'f:openshiftVersion': {}
            'f:operatorVersion': {}
          'f:progress':
            .: {}
            'f:duration': {}
            'f:message': {}
          'f:specVersion': {}
      manager: OpenAPI-Generator
      operation: Update
      subresource: status
      time: '2023-05-10T05:46:28Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      subresource: status
      time: '2023-05-10T05:46:29Z'
  namespace: istio-system
  ownerReferences:
    - apiVersion: maistra.io/v2
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: install-istio-system
      uid: 4b32b32b-98cb-456f-bcf4-2029019a8a3d
  finalizers:
    - kiali.io/finalizer
  labels:
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/instance: istio-system
    maistra.io/owner-name: install-istio-system
    app.kubernetes.io/version: 2.4.0-1-1
    app.kubernetes.io/component: kiali
    maistra-version: 2.4.0
    app.kubernetes.io/managed-by: maistra-istio-operator
    maistra.io/owner: istio-system
    app.kubernetes.io/name: kiali
spec:
  api:
    namespaces:
      exclude: []
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces:
      - alpha
      - beta
      - bookinfo
      - sleep
    image_pull_policy: ''
    ingress:
      enabled: true
    namespace: istio-system
    pod_labels:
      sidecar.istio.io/inject: 'false'
  external_services:
    custom_dashboards:
      namespace_label: kubernetes_namespace
    grafana:
      auth:
        password: >-
          BA/AmpJZGK6ILDxoPiojrDVQBKOlWFghCCETKkXmTjVmwhiOY32DvtmAtDVKGfsCF9s4L1pg4wQ0UALvC+PT9tn/WdIDqF/ed6TQWeuaIrMvz41ix/XRW8fF1B3+mnAwSqbL5RYzUKa0Ow2Lzd98vtoLqoxkRmQElZjwsZIdgRe9Squ0kjB3JVvc/Pk5ANPcG/ZTAxtMRIkdDCYOLsOI8PdygO+5+bx2P/Atq95v8kbH75ykHZjdSylIa2+Wsax0eC25Ds164Ma6KjqEaG/Jy2b4VPhx0kG2XclcfQwV6nSrmk2u5emNa+jZBSwp1k2kOYMsQFFx9rjREu+NXVKE
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://grafana.istio-system.svc:3000'
      url: >-
        https://grafana-istio-system.apps.ocp4-kqe-auto1.maistra.upshift.redhat.com
    istio:
      config_map_name: istio-install-istio-system
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-install-istio-system
      istiod_deployment_name: istiod-install-istio-system
      url_service_version: 'http://istiod-install-istio-system.istio-system:15014/version'
    prometheus:
      auth:
        password: >-
          BA/AmpJZGK6ILDxoPiojrDVQBKOlWFghCCETKkXmTjVmwhiOY32DvtmAtDVKGfsCF9s4L1pg4wQ0UALvC+PT9tn/WdIDqF/ed6TQWeuaIrMvz41ix/XRW8fF1B3+mnAwSqbL5RYzUKa0Ow2Lzd98vtoLqoxkRmQElZjwsZIdgRe9Squ0kjB3JVvc/Pk5ANPcG/ZTAxtMRIkdDCYOLsOI8PdygO+5+bx2P/Atq95v8kbH75ykHZjdSylIa2+Wsax0eC25Ds164Ma6KjqEaG/Jy2b4VPhx0kG2XclcfQwV6nSrmk2u5emNa+jZBSwp1k2kOYMsQFFx9rjREu+NXVKE
        type: basic
        use_kiali_token: false
        username: internal
      url: 'https://prometheus.istio-system.svc:9090'
    tracing:
      auth:
        password: >-
          BA/AmpJZGK6ILDxoPiojrDVQBKOlWFghCCETKkXmTjVmwhiOY32DvtmAtDVKGfsCF9s4L1pg4wQ0UALvC+PT9tn/WdIDqF/ed6TQWeuaIrMvz41ix/XRW8fF1B3+mnAwSqbL5RYzUKa0Ow2Lzd98vtoLqoxkRmQElZjwsZIdgRe9Squ0kjB3JVvc/Pk5ANPcG/ZTAxtMRIkdDCYOLsOI8PdygO+5+bx2P/Atq95v8kbH75ykHZjdSylIa2+Wsax0eC25Ds164Ma6KjqEaG/Jy2b4VPhx0kG2XclcfQwV6nSrmk2u5emNa+jZBSwp1k2kOYMsQFFx9rjREu+NXVKE
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://jaeger-query.istio-system.svc'
      namespace: istio-system
      service: ''
      url: >-
        https://jaeger-istio-system.apps.ocp4-kqe-auto1.maistra.upshift.redhat.com
      use_grpc: false
  installation_tag: 'Kiali [istio-system]'
  istio_namespace: istio-system
  version: v1.65
status:
  conditions:
    - lastTransitionTime: '2023-05-10T05:29:07Z'
      message: ''
      reason: ''
      status: 'False'
      type: Failure
    - ansibleResult:
        changed: 14
        completion: '2023-05-10T05:46:28.989651'
        failures: 0
        ok: 132
        skipped: 89
      lastTransitionTime: '2023-05-10T05:28:32Z'
      message: Awaiting next reconciliation
      reason: Successful
      status: 'True'
      type: Running
    - lastTransitionTime: '2023-05-10T05:46:29Z'
      message: Last reconciliation succeeded
      reason: Successful
      status: 'True'
      type: Successful
  deployment:
    accessibleNamespaces: 'alpha,beta,bookinfo,istio-system,sleep'
    instanceName: kiali
    namespace: istio-system
  environment:
    isMaistra: true
    isOpenshift: true
    kubernetesVersion: 1.25.8+27e744f
    openshiftVersion: 4.12.14
    operatorVersion: v1.65.1
  progress:
    duration: '0:00:30'
    message: 8. Finished all resource creation
  specVersion: v1.65
